propellor-5.17: property-based host configuration management in haskell

Safe Haskell | Safe-Inferred
Language | Haskell2010

Propellor.Property.Localdir

Description

Properties to manipulate propellor's `usrlocal/propellor` on spun hosts

Synopsis

- hasOriginUrl :: String -> Property (HasInfo + DebianLike)
- newtype OriginUrl = OriginUrl String
- removed :: Property UnixLike

# Documentation

hasOriginUrl :: String -> Property (HasInfo + DebianLike) Source #

Sets the url to use as the origin of propellor's git repository.

By default, the url is taken from the deploy or origin remote of the repository that propellor --spin is run in. Setting this property overrides that default behavior with a different url.

When hosts are being updated without using -- --spin, eg when using the `runPropellor` cron job, this property can be set to redirect them to a new git repository url.

newtype OriginUrl Source #

Constructors

OriginUrl String |

#### Instances

Instances details

Show OriginUrl Source # |
Instance details Defined in Propellor.Property.Localdir Methods showsPrec :: Int -> OriginUrl -> ShowS show :: OriginUrl -> String showList :: [OriginUrl] -> ShowS

removed :: Property UnixLike Source #

Removes the `usrlocal/propellor` directory used to spin the host, after ensuring other properties. Without this property, that directory is left behind after the spin.

Does not perform other clean up, such as removing Haskell libraries that were installed in order to build propellor, or removing cronjobs such as created by `runPropellor`.